summaryrefslogtreecommitdiffstats
path: root/tests/fate-run.sh
diff options
context:
space:
mode:
authorMichael Niedermayer <michaelni@gmx.at>2015-04-23 04:27:56 +0200
committerMichael Niedermayer <michaelni@gmx.at>2015-04-24 01:45:39 +0200
commitc0d847e457c1ef72843a63853f1135d52b74131e (patch)
tree00d6950ee9047f856892fc7458a8ef58cf245419 /tests/fate-run.sh
parent4b657a1b1eedcf38bcf36e89a2f4be6f76b5ce09 (diff)
downloadffmpeg-streaming-c0d847e457c1ef72843a63853f1135d52b74131e.zip
ffmpeg-streaming-c0d847e457c1ef72843a63853f1135d52b74131e.tar.gz
tests/fate-run: do not attempt to parse tiny_psnrs output if it failed
This avoids confusing syntax errors with awk later Likely fixes awk errors at: http://buildd.debian-ports.org/status/fetch.php?pkg=ffmpeg&arch=sparc64&ver=7%3A2.6.2-1&stamp=1428928967 Reviewed-by: Timothy Gu <timothygu99@gmail.com> Thanks-to: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com> for the link Signed-off-by: Michael Niedermayer <michaelni@gmx.at>
Diffstat (limited to 'tests/fate-run.sh')
-rwxr-xr-xtests/fate-run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 1a8ff94..7f129d7 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -43,7 +43,7 @@ compare(){
}
do_tiny_psnr(){
- psnr=$(tests/tiny_psnr "$1" "$2" $cmp_unit $cmp_shift 0)
+ psnr=$(tests/tiny_psnr "$1" "$2" $cmp_unit $cmp_shift 0) || return 1
val=$(expr "$psnr" : ".*$3: *\([0-9.]*\)")
size1=$(expr "$psnr" : '.*bytes: *\([0-9]*\)')
size2=$(expr "$psnr" : '.*bytes:[ 0-9]*/ *\([0-9]*\)')
OpenPOWER on IntegriCloud